Bug 1524370 - [abrt] dnfdragora: YMGA_GCBTable::tree_sort_cb(): python3.6 killed by SIGABRT
Summary: [abrt] dnfdragora: YMGA_GCBTable::tree_sort_cb(): python3.6 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:347f81994ce0f66e369120f8b47...
: 1532511 1545336 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-11 11:09 UTC by Woi
Modified: 2018-11-30 23:12 UTC (History)
5 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:12:16 UTC


Attachments (Terms of Use)
File: backtrace (47.87 KB, text/plain)
2017-12-11 11:09 UTC, Woi
no flags Details
File: cgroup (289 bytes, text/plain)
2017-12-11 11:09 UTC, Woi
no flags Details
File: core_backtrace (34.27 KB, text/plain)
2017-12-11 11:09 UTC, Woi
no flags Details
File: cpuinfo (1.18 KB, text/plain)
2017-12-11 11:09 UTC, Woi
no flags Details
File: dso_list (17.08 KB, text/plain)
2017-12-11 11:09 UTC, Woi
no flags Details
File: environ (1.35 KB, text/plain)
2017-12-11 11:09 UTC, Woi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1545336 None CLOSED [abrt] dnfdragora: YMGA_GCBTable::tree_sort_cb(): python3.6 killed by SIGABRT 2018-10-11 11:49:21 UTC

Description Woi 2017-12-11 11:09:23 UTC
Version-Release number of selected component:
dnfdragora-1.0.1-6.git20170505.2a3b056.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
crash_function: YMGA_GCBTable::tree_sort_cb
executable:     /usr/bin/python3.6
journald_cursor: s=2f59006cab334cf4afd3f29764789297;i=1e0d7;b=b06afef5aed24de29ee9e85dd171c881;m=6a4ea04;t=5600e66e94b57;x=a485a14c6ef83c11
kernel:         4.14.3-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1461063

Comment 1 Woi 2017-12-11 11:09:28 UTC
Created attachment 1365924 [details]
File: backtrace

Comment 2 Woi 2017-12-11 11:09:30 UTC
Created attachment 1365925 [details]
File: cgroup

Comment 3 Woi 2017-12-11 11:09:33 UTC
Created attachment 1365926 [details]
File: core_backtrace

Comment 4 Woi 2017-12-11 11:09:35 UTC
Created attachment 1365927 [details]
File: cpuinfo

Comment 5 Woi 2017-12-11 11:09:37 UTC
Created attachment 1365928 [details]
File: dso_list

Comment 6 Woi 2017-12-11 11:09:39 UTC
Created attachment 1365929 [details]
File: environ

Comment 7 Fedora Update System 2017-12-29 23:24:55 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 8 Fedora Update System 2017-12-29 23:28:39 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 9 Fedora Update System 2017-12-30 19:55:26 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 10 Fedora Update System 2017-12-30 20:41:12 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 11 Fedora Update System 2017-12-31 21:29:09 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-01-01 22:12:41 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Jens Alpers 2018-01-09 07:55:01 UTC
*** Bug 1532511 has been marked as a duplicate of this bug. ***

Comment 14 Krzysztof Setlak 2018-02-01 10:13:30 UTC
Similar problem has been detected:

Tried to sort tha package list by some column, unfortunately can't recall which one, probably version.

query: kdenlive
results: two entries (kdenlive from @System and kdenlive from updates)

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        python3 /usr/bin/dnfdragora
crash_function: YMGA_GCBTable::tree_sort_cb
executable:     /usr/bin/python3.6
journald_cursor: s=9021c2f910df4c4f88f612b9709bcbd5;i=268b;b=4466a719e52b412c8d97d5be4190a74f;m=d075156b;t=56423a31a6f8a;x=e9c8e3c0b35d8d12
kernel:         4.14.14-300.fc27.x86_64
package:        dnfdragora-1.0.1-9.git20180108.b0e8a66.fc27
reason:         python3.6 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Woi 2018-02-14 16:54:21 UTC
In an attempt to reproduce this, I succeeded. However, abartd created a new bug report: https://bugzilla.redhat.com/show_bug.cgi?id=1545336

Comment 16 Woi 2018-02-14 16:55:47 UTC
*** Bug 1545336 has been marked as a duplicate of this bug. ***

Comment 17 Ben Cotton 2018-11-27 14:04:53 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2018-11-30 23:12:16 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.